import { CommonModule } from '@angular/common';
import { provideHttpClient } from '@angular/common/http';
import { TestBed, waitForAsync } from '@angular/core/testing';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

import { AppRoutesModule } from '../app.routes.module';
import { BreadcrumbService } from '../breadcrumb.service';
import { ServicesModule } from '../../providers/services.module';
import { PageNotFoundComponent } from './pagenotfound.component';

describe('PageNotFoundComponent', () =>
{
  beforeEach(waitForAsync(() =>
  {
    TestBed.configureTestingModule({
    imports: [
        BrowserAnimationsModule,
        AppRoutesModule,
        CommonModule,
        ServicesModule,
        PageNotFoundComponent
    ],
    providers: [
        provideHttpClient(),
        BreadcrumbService,
    ]
}).compileComponents();
  }));
  it('Component created successfully...', waitForAsync(() =>
  {
    const fixture = TestBed.createComponent(PageNotFoundComponent);
    const app = fixture.debugElement.componentInstance;
    expect(app).toBeTruthy();
  }));
});
